HTTPSEverywhere.Updater – httpseverywhere-0.4 Reference Manual

# Updater

## Object Hierarchy:

## Description:

public class Updater : Object

This class lets the user of this library perform an update of the used rule-files.

Namespace: HTTPSEverywhere
Package: httpseverywhere-0.4

## Content:

### Properties:

- public UpdateState update_state { get; }
  Represents the currently processed state of the update process. When no update is running, this property is of no use.

### Creation methods:

- public Updater (Context context)
  Create a new Updater for the given library context.

### Methods:

- public async void update (Cancellable? cancellable = null) throws UpdateError, IOError
  This function initializes an update of the used rulefiles

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count